%define	minor_version 1054

Name:		juffed
Version: 	0.10
Release: 	%mkrel 3
License:	GPLv2
Source:		http://sourceforge.net/projects/juffed/files/Releases/%{version}/%{name}-%{version}-%{minor_version}.tar.bz2
#Patch0:		%{name}-0.9.1137-dereference.patch
#Patch1:		%{name}-0.9.1137-unistd.patch
Url:		http://juffed.com
Group:		Editors
Summary:	Simple tabbed text editor
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	qt4-linguist
BuildRequires:	qscintilla-qt4-devel

%package	devel
Summary:	Development package for juffed
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
%{summary}

%package	plugins
Summary:	Plugins for juffed
Group:		Development/Other
Requires:	%{name}-plugin-doclist
Requires:	%{name}-plugin-favorites
Requires:	%{name}-plugin-findinfiles
Requires:	%{name}-plugin-filemanager
Requires:	%{name}-plugin-sort
Requires:	%{name}-plugin-symbolbrowser
Requires:	%{name}-plugin-xmlformat
Requires:	%{name}-plugin-keybindings

%description	plugins
%{summary}
See http://code.google.com/p/juffed-plugins/wiki/JuffEd_Plugins_Tutorial 
for details.

%package	plugin-autosave
Summary:	AutoSave plugin for juffed
Group:		Development/Other
Requires:	%{name}

%description	plugin-autosave
%{summary}

%package	plugin-colorpicker
Summary:	Color picker plugin for juffed
Group:		Development/Other
Requires:	%{name}

%description	plugin-colorpicker
%{summary}

%package	plugin-keybindings
Summary:	Keybindings plugin for juffed
Group:		Development/Other
Requires:	%{name}

%description	plugin-keybindings
%{summary}

%package	plugin-doclist
Summary:	DocList plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-doclist < %{version}-%{release}

%description	plugin-doclist
%{summary}

%package	plugin-favorites
Summary:	Favorites plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-favorites < %{version}-%{release}

%description	plugin-favorites
%{summary}

%package	plugin-findinfiles
Summary:	FindInFiles plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-findinfiles < %{version}-%{release}

%description	plugin-findinfiles
%{summary}

%package	plugin-filemanager
Summary:	FileManager plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-filemanager < %{version}-%{release}

%description	plugin-filemanager
%{summary}

%package	plugin-sort
Summary:	SortDocument plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-sort < %{version}-%{release}

%description	plugin-sort
%{summary}

%package	plugin-symbolbrowser
Summary:	SymbolBrowser plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-symbolbrowser < %{version}-%{release}

%description	plugin-symbolbrowser
%{summary}

%package	plugin-xmlformat
Summary:	XMLFormat plugin for juffed
Group:		Development/Other
Requires:	%{name}
Obsoletes:	%{name}-plugin-xmlformat < %{version}-%{release}

%description	plugin-xmlformat
%{summary}

%description
Simple tabbed text editor with syntax highlighting for:
	- C++
	- Python
	- HTML
	- PHP
	- XML
	- TeX
	- Makefiles
	- ini-files
	- patch-files

%prep
%setup -q 
#%patch0 -p1 -b .dereference
#%patch1 -p1 -b .unistdheader

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_libdir}/libjuff.so.*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/libjuffed-engine-qsci.so.%{version}

%files devel
%{_includedir}/%{name}
%{_libdir}/libjuff.so
%{_libdir}/libjuffed-engine-qsci.so

%files plugins

%files plugin-keybindings
%{_libdir}/%{name}/plugins/libkeybindings.so  

%files plugin-doclist
%{_libdir}/%{name}/plugins/libdoclist.so

%files plugin-favorites
%{_libdir}/%{name}/plugins/libfavorites.so

%files plugin-findinfiles
%{_libdir}/%{name}/plugins/libfindinfiles.so

%files plugin-filemanager
%{_libdir}/%{name}/plugins/libfm.so

%files plugin-sort
%{_libdir}/%{name}/plugins/libsortdocument.so

%files plugin-symbolbrowser
%{_libdir}/%{name}/plugins/libsymbolbrowser.so

%files plugin-xmlformat
%{_libdir}/%{name}/plugins/libxmlformat.so

%files plugin-autosave
%{_libdir}/%{name}/plugins/libautosave.so

%files plugin-colorpicker
%{_libdir}/%{name}/plugins/libcolorpicker.so



%changelog
* Sun Jan 12 2014 sander85 <sander85> 0.10-3.mga4
+ Revision: 566392
- Move devel file into devel package

* Sat Oct 19 2013 umeabot <umeabot> 0.10-2.mga4
+ Revision: 528479
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 matteo <matteo> 0.10-1.mga4
+ Revision: 445610
- new version (0.10)

* Sat Jan 12 2013 umeabot <umeabot> 0.9-8.mga3
+ Revision: 355682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 matteo <matteo> 0.9-7.mga3
+ Revision: 329671
- built against new qscintilla
- fixed compile issue with gcc-4.7
- fixed missing include (unistd)

* Sun Feb 26 2012 matteo <matteo> 0.9-6.mga2
+ Revision: 215377
- fixed plugins subpackage
- rebuilt against new qscintilla

* Mon Dec 26 2011 fwang <fwang> 0.9-4.mga2
+ Revision: 187705
- rebuild for new qscintilla

* Mon Dec 19 2011 matteo <matteo> 0.9-3.mga2
+ Revision: 184593
- fixed plugin- packages

* Mon Dec 19 2011 matteo <matteo> 0.9-2.mga2
+ Revision: 184335
- removed unuseful requires
- bump release
- spec file reviewed

* Sun Dec 18 2011 matteo <matteo> 0.9-1.mga2
+ Revision: 183877
- imported package juffed

